<template>
    <div>
        <div v-show="$route.path !== '/login' && $route.path !== '/register'">
            <AppHeader />
            <AppSidebar />
        </div>
        <div v-bind:class="marginLeft">
            <router-view />
        </div>
    </div>
</template>
<script>
import AppHeader from '@/components/AppHeader';
import AppSidebar from '@/components/AppSidebar';
export default {
    components: { AppSidebar, AppHeader },
    methods: {
        getClassToContent() {
            return this.$route.path !== '/login' && this.$route.path !== '/register' ? 'sideBarMargin' : '';
        },
    },
    data() {
        return {
            marginLeft: this.getClassToContent(),
        };
    },
    watch: {
        $route: {
            handler: function (value) {
                console.log('in handle the route change');
                this.marginLeft = this.getClassToContent();
            },
        },
    },
};
</script>

<style scoped>
.sideBarMargin {
    margin-left: 250px;
    margin-top: 60px;
}
@media (max-width: 1000px) {
    .sideBarMargin {
        margin-left: 0;
    }
}
</style>
